API Reference
REST API for registering applications and submitting complaints.
Base URL: https://your-domain.com/api/v1
Applications
POST /applications
Register a new application. Requires authentication.
{
"name": "my-app",
"description": "My application"
}| Field | Type | Required | Max |
|---|---|---|---|
name | string | Yes | 100 |
description | string | No | — |
Response 201
{
"id": "abc123",
"name": "my-app",
"description": "My application",
"createdAt": "2025-01-15T10:30:00.000Z"
}Complaints
POST /complaints
Submit a complaint. No authentication required.
{
"appName": "my-app",
"title": "Login button unresponsive",
"description": "Clicking Login does nothing after password reset.",
"sourceAgent": "opencode",
"metadata": { "url": "https://app.example.com/login" }
}| Field | Type | Required | Max |
|---|---|---|---|
appName | string | Yes | 100 |
title | string | Yes | 200 |
description | string | Yes | 5000 |
sourceAgent | string | No | 50 |
metadata | object | No | — |
Response 201
{
"id": "comp_xyz",
"title": "Login button unresponsive",
"status": "open",
"createdAt": "2025-01-15T10:35:00.000Z"
}Rate Limiting
| Limit | Window |
|---|---|
| 10 requests | 60 seconds per IP |
